﻿using Bogus;

namespace WebApiEntityFrameworkCockroach.Data
{
    public static class Seeder
    {
        
        // This is purely for a demo, don't anything like this in a real application!
        public static async Task SeedAsync(this SalesContext salesContext)
        {
            if (!salesContext.Products.Any())
            {
                var faker = new Faker<Product>()
                    // .RuleFor(p => p.ProductId, f => f.IndexFaker) // don't include, the database will generate this 
                    .RuleFor(p => p.Name, f => f.Commerce.ProductName())
                    .RuleFor(p => p.Description, f => f.Commerce.ProductDescription())
                    .RuleFor(p => p.Price, f => f.Random.Decimal(0, 100))
                    .RuleFor(p => p.SKU, f => f.Commerce.Ean13())
                    .RuleFor(p => p.Code, f => f.Commerce.Ean8())
                    .RuleFor(p => p.ProductCategory, f => f.PickRandom<ProductCategory>());
                
                var products = faker.Generate(10);
                salesContext.AddRange(products); 
                await salesContext.SaveChangesAsync(); 
            }
        }
    }
}